/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
         //CAMBIAR SEGÚN EL NÚMERO DE RESPUESTAS CORRECTAS O CHECKEADAS
                  TotalCheckBox = 3;
         //RESPUESTAS CAMBIAR POR false O true
                  sym.setVariable("Respuesta_1", true);
                  sym.setVariable("Respuesta_2", true);
                  sym.setVariable("Respuesta_3", true);
                  sym.setVariable("Respuesta_4", false);
                  sym.setVariable("Respuesta_5", false);
                  sym.setVariable("Respuesta_6", false);
                  sym.setVariable("Respuesta_7", false);
                  sym.setVariable("Respuesta_8", false);
                  sym.setVariable("Respuesta_9", false);
                  sym.setVariable("Respuesta_10", false);
                  sym.setVariable("Respuesta_11", false);
                  sym.setVariable("Respuesta_12", false);
                  sym.setVariable("Respuesta_13", false);
                  sym.setVariable("Respuesta_14", false);
                  sym.setVariable("Respuesta_15", false);
                  sym.setVariable("Respuesta_16", false);
                  sym.setVariable("Respuesta_17", false);
                  sym.setVariable("Respuesta_18", false);
                  sym.setVariable("Respuesta_19", false);
                  sym.setVariable("Respuesta_20", false);
                  sym.setVariable("Respuesta_21", false);
                  sym.setVariable("Respuesta_22", false);
                  sym.setVariable("Respuesta_23", false);
                  sym.setVariable("Respuesta_24", false);
                  sym.setVariable("Respuesta_25", false);
                  sym.setVariable("Respuesta_26", false);
                  sym.setVariable("Respuesta_27", false);
                  sym.setVariable("Respuesta_28", false);
                  sym.setVariable("Respuesta_29", false);
                  sym.setVariable("Respuesta_30", false);
                  sym.setVariable("Respuesta_31", false);
                  sym.setVariable("Respuesta_32", false);
                  sym.setVariable("Respuesta_33", false);
                  sym.setVariable("Respuesta_34", false);
                  sym.setVariable("Respuesta_35", false);
                  sym.setVariable("Respuesta_36", false);
                  sym.setVariable("Respuesta_37", false);
                  sym.setVariable("Respuesta_38", false);
                  sym.setVariable("Respuesta_39", false);
                  sym.setVariable("Respuesta_40", false);
                  sym.setVariable("Respuesta_41", false);
                  sym.setVariable("Respuesta_42", false);
                  sym.setVariable("Respuesta_43", false);
                  sym.setVariable("Respuesta_44", false);
                  sym.setVariable("Respuesta_45", false);
                  sym.setVariable("Respuesta_46", false);
                  sym.setVariable("Respuesta_47", false);
                  sym.setVariable("Respuesta_48", false);
                  sym.setVariable("Respuesta_49", false);
                  sym.setVariable("Respuesta_50", false);
                  
                  
                  
         // Creación de las áreas de texto en la actividad
         			TotalTextArea = 2;			// Numero de áreas de texto
                  var color = sym.getVariable("colorini");
                  var border = sym.getVariable("border");
                  var tamano = sym.getVariable("fontsize");
                  var fontweight = sym.getVariable("fontweight");
                  var fondo = sym.getVariable("fondo");
                  var borderRadius= sym.getVariable("border-radius");
                  var textAlign= sym.getVariable("textAlign");         
         
                  // Agregar las áreas de texto dinámicamente
                  for (i=1 ; i<= TotalTextArea; i++){
                  sym.$("TextArea_"+i).css("background","rgba(255,255,255,0.0)");
                  	var nombreElemento = 'Elemento_'+i;
                  	nombreElemento = document.createElement("textarea");
                  	nombreElemento.id="textarea_"+i;
                  	var anchoTextArea = sym.$("TextArea_"+i).css("width");
                  	var altoTextArea = sym.$("TextArea_"+i).css("height");
                  	nombreElemento.style.width= anchoTextArea;	 
                  	nombreElemento.style.height= altoTextArea;
                  	nombreElemento.style.border= border;
                  	nombreElemento.style.color= color;
                  	nombreElemento.style.background= fondo;
                  	nombreElemento.style.fontSize= "27px";
                  	nombreElemento.style.fontWeight= fontweight;
                  	nombreElemento.style.textAlign= textAlign;
                  	nombreElemento.style.webkitBorderRadius=borderRadius;
                  	nombreElemento.style.mozBorderRadius=borderRadius;
                  	nombreElemento.style.borderRadius=borderRadius;
                  	nombreElemento.style.padding= "10px";
         				nombreElemento.style.resize= "none";
                  	sym.$("TextArea_"+i).append(nombreElemento);
                  }
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_checkbox_1}", "click", function(sym, e) {
         sym.$("guerrero").hide();
         sym.$("mago").hide();
         if (sym.$("sabio").is(":visible")) {
         	sym.$("sabio").hide();
         } else {
         	sym.$("sabio").show();
         }

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_checkbox_2}", "click", function(sym, e) {
         sym.$("sabio").hide();
         sym.$("guerrero").show();
         sym.$("mago").hide();
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_checkbox_3}", "click", function(sym, e) {
         sym.$("sabio").hide();
         sym.$("guerrero").hide();
         sym.$("mago").show();
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_checkbox_4}", "click", function(sym, e) {
         sym.$("capa").show();
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_checkbox_5}", "click", function(sym, e) {
         sym.$("animales").show();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_checkbox_6}", "click", function(sym, e) {
         sym.$("fuego").show();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot_cinco}", "click", function(sym, e) {
         sym.getSymbol("scena_2").play(1);
         sym.$("hotspot_cinco").hide();
         sym.$("hotspot_cuatro").show();
         sym.getSymbol("scena").$("cuatro").fadeOut("slow");
         sym.getSymbol("scena").$("cuatro_a").fadeOut("slow");
         sym.getSymbol("scena").$("cinco").fadeOut("slow");
         sym.getSymbol("punto_4").playReverse(500);
         sym.$("TextArea_1").show();
         sym.$("caja").fadeIn("slow");
         
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot_cuatro}", "click", function(sym, e) {
         sym.getSymbol("punto_4").play(1);
         sym.getSymbol("scena_2").$("cinco_a").fadeOut("slow");
         sym.getSymbol("scena_2").$("cinco").fadeOut("slow");
         sym.getSymbol("scena").$("cinco").fadeIn("slow");
         sym.getSymbol("scena_2").$("cuatro").fadeOut("slow");
         sym.$("TextArea_1").hide();
         sym.$("caja").fadeOut("slow");
         sym.$("hotspot_cuatro").hide();
         sym.$("hotspot_cinco").show();

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'ok'
   (function(symbolName) {   
   
   })("ok");
   //Edge symbol end:'ok'

   //=========================================================
   
   //Edge symbol: 'bad'
   (function(symbolName) {   
   
   })("bad");
   //Edge symbol end:'bad'

   //=========================================================
   
   //Edge symbol: 'bt_validar'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_validar");
   //Edge symbol end:'bt_validar'

   //=========================================================
   
   //Edge symbol: 'bt_solucion'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_solucion");
   //Edge symbol end:'bt_solucion'

   //=========================================================
   
   //Edge symbol: 'bt_reiniciar'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_reiniciar");
   //Edge symbol end:'bt_reiniciar'

   //=========================================================
   
   //Edge symbol: 'bt_ayuda'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_ayuda");
   //Edge symbol end:'bt_ayuda'

   //=========================================================
   
   //Edge symbol: 'scena'
   (function(symbolName) {   
   
   })("scena");
   //Edge symbol end:'scena'

   //=========================================================
   
   //Edge symbol: 'scena_2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("scena_2");
   //Edge symbol end:'scena_2'

   //=========================================================
   
   //Edge symbol: 'brillo_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 500, function(sym, e) {
         sym.playReverse();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

   })("brillo_1");
   //Edge symbol end:'brillo_1'

   //=========================================================
   
   //Edge symbol: 'cinco'
   (function(symbolName) {   
   
   })("cinco");
   //Edge symbol end:'cinco'

   //=========================================================
   
   //Edge symbol: 'cuatro'
   (function(symbolName) {   
   
   })("cuatro");
   //Edge symbol end:'cuatro'

   //=========================================================
   
   //Edge symbol: 'punto_4'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("punto_4");
   //Edge symbol end:'punto_4'

})(jQuery, AdobeEdge, "EDGE-7842101");